FSEEK(3F)

NAME
fseek, ftell - reposition a file on a logical unit

SYNOPSIS
integer function fseek (lunit, offset, from)
integer offset, from

integer function ftell (lunit)

DESCRIPTION
lunit must refer to an open logical unit. offset is an offset in bytes relative to the position specified by from. Valid values for from are:

0 meaning `beginning of the file'
1 meaning `the current position'
2 meaning `the end of the file'

The value returned by fseek will be 0 if successful, a system error code otherwise. (See perror(3F))

Ftell returns the current position of the file associated with the specified logical unit. The value is an offset, in bytes, from the beginning of the file. If the value returned is negative, it indicates an error and will be the negation of the system error code. (See perror(3F))

FILES
/usr/lib/libU77.a

SEE ALSO
fseek(3S), perror(3F)